using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 비밀번호 변경 DTO
    /// </summary>
    public class ChangePasswordDto
    {
        [Required(ErrorMessage = "현재 비밀번호를 입력해주세요.")]
        [DataType(DataType.EmailAddress)]
        public required string CurrentPassword { get; set; }

        [Required(ErrorMessage = "새 비밀번호를 입력해주세요.")]
        [MaxLength(255, ErrorMessage = "새 비밀번호를 확인해주세요.")]
        [DataType(DataType.Password)]
        public required string NewPassword { get; set; }

        [Required(ErrorMessage = "새 비밀번호 확인을 입력해주세요.")]
        [Compare("NewPassword", ErrorMessage = "새 비밀번호가 일치하지 않습니다.")]
        [DataType(DataType.Password)]
        public required string ConfirmPassword { get; set; }
    }
}
